import 'package:get/get.dart';

class LabDataState {
  // 当前选中的记录下标
  final RxInt _selectedRecordIndex = 0.obs;
  set selectedRecordIndex(value) => _selectedRecordIndex.value = value;
  int get selectedRecordIndex => _selectedRecordIndex.value;

  // 没有病人
  final RxBool _noPatient = false.obs;
  set noPatient(bool value) => _noPatient.value = value;
  bool get noPatient => _noPatient.value;

  // 没有扫查记录
  final RxBool _noRecord = false.obs;
  set noRecord(bool value) => _noRecord.value = value;
  bool get noRecord => _noRecord.value;

  // 没有数据
  final RxBool _noData = false.obs;
  set noData(bool value) => _noData.value = value;
  bool get noData => _noData.value;
}
